Bug 1318319 - python-2.7.5-34 breaks hashlib (md4)
Summary: python-2.7.5-34 breaks hashlib (md4)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: python
Version: python27
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: beta
: 2.2
Assignee: Michal Cyprian
QA Contact: Branislav Náter
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-16 13:44 UTC by Charalampos Stratakis
Modified: 2016-05-31 10:25 UTC (History)
11 users (show)

Fixed In Version: python27-python-2.7.8-10.el6 python27-python-2.7.8-7.el7
Doc Type: Bug Fix
Doc Text:
Cause: Not initializing OpenSSL_add_all_digests function in _hashlib library Consequence: The MD4 algorithm is unavailable, and an error "unsupported hash type" is returned. Fix: Patch that initializes OpenSSL_add_all_digests function in _hashlib library Result: The MD4 algorithm is available and no errors occur
Clone Of: 1295459
Environment:
Last Closed: 2016-05-31 10:25:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1166 normal SHIPPED_LIVE Moderate: python27 security, bug fix, and enhancement update 2016-05-31 14:04:55 UTC

Comment 3 Michal Cyprian 2016-03-24 13:43:30 UTC
Hi,
Yes I think your description is correct.

Comment 7 errata-xmlrpc 2016-05-31 10:25:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1166


Note You need to log in before you can comment on or make changes to this bug.